Ppchelko has uploaded a new change for review.

  https://gerrit.wikimedia.org/r/316623

Change subject: Change-Prop: Require libsasl2-dev package.
......................................................................

Change-Prop: Require libsasl2-dev package.

node-rdkafka driver uses librdkafka which requires a libsasl2-dev
package to be built by default. require the package in the puppet
role.

Bug: T148575
Change-Id: I2a0b1658c3518370a15ad087bd6f11ddb73d5c44
---
M puppet/modules/changeprop/manifests/init.pp
1 file changed, 2 insertions(+), 0 deletions(-)


  git pull ssh://gerrit.wikimedia.org:29418/mediawiki/vagrant 
refs/changes/23/316623/1

diff --git a/puppet/modules/changeprop/manifests/init.pp 
b/puppet/modules/changeprop/manifests/init.pp
index 29ea5a4..5567991 100644
--- a/puppet/modules/changeprop/manifests/init.pp
+++ b/puppet/modules/changeprop/manifests/init.pp
@@ -16,6 +16,8 @@
     $log_level = undef,
 ) {
 
+    require_package('libsasl2-dev')
+
     $restbase_port = defined(Class['restbase']) ? {
         true    => $::restbase::port,
         default => 7231,

-- 
To view, visit https://gerrit.wikimedia.org/r/316623
To unsubscribe, visit https://gerrit.wikimedia.org/r/settings

Gerrit-MessageType: newchange
Gerrit-Change-Id: I2a0b1658c3518370a15ad087bd6f11ddb73d5c44
Gerrit-PatchSet: 1
Gerrit-Project: mediawiki/vagrant
Gerrit-Branch: master
Gerrit-Owner: Ppchelko <ppche...@wikimedia.org>

_______________________________________________
MediaWiki-commits mailing list
MediaWiki-commits@lists.wikimedia.org
https://lists.wikimedia.org/mailman/listinfo/mediawiki-commits

Reply via email to